# -*- encoding : utf-8 -*-

class Admin::PProductFeatureCatsController < ApplicationController
  layout "admin"
  before_action :auth_admin

  before_action :admin_space
  
  def admin_space
    @admin_space = "preferences"
  end
  
  def index
    @p_product_feature_cats = PProductFeatureCat.order(:name).all

  end

  def show
    @p_product_feature_cat = PProductFeatureCat.find(params[:id])

  end

  def new
    @p_product_feature_cat = PProductFeatureCat.new
  
  end

  def edit
    @p_product_feature_cat = PProductFeatureCat.find(params[:id])
    
  end

  def create
    @p_product_feature_cat = PProductFeatureCat.new(params.require(:p_product_feature_cat).permit!)

    if @p_product_feature_cat.save
      
    else
      render action: "new"
 
    end

  end


  def update
    @p_product_feature_cat = PProductFeatureCat.find(params[:id])


    if @p_product_feature_cat.update_attributes(params.require(:p_product_feature_cat).permit!)
      
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @p_product_feature_cat = PProductFeatureCat.find(params[:id])
    @p_product_feature_cat.destroy
    
  end
end
